<?php if (empty($content)): ?>
<div class="mt-4">
    <?php $language->p('No pages found') ?>
</div>
<?php endif ?>



<div class="container">
    <!-- Content Container HOME -->
    <div class="row">
        <div class="col-md-4">
            <div class="logo my-5 mx-3 text-center">

                <a href="<?php echo Theme::siteUrl() ?>">
                    <img src=" <?php echo $site->logo() ?>" alt="" width="128" class="logo-img">
                </a>

                <h1 class="logo"><?php echo $site->title() ?></h1>
                <h4 class="slogan text-muted"><?php echo $site->slogan() ?></h4>
            </div>
            <li class="nav-items">
                <a href="<?php echo Theme::siteUrl() ?>" class="menu first-child">
                    فهرست
                </a>
            </li>



            <?php
			$items = getCategories();

			foreach ($items as $category) {
				// Each category is an Category-Object
				if (count($category->pages())>0) { ?>


            <li class="nav-items">
                <a href="<?php echo $category->permalink(); ?>" class="menu">
                    <?php echo $category->name(); ?>
                </a>
            </li>



            <?php } } ?>

            <?php include(THEME_DIR_PHP.'sidebar.php'); ?>
        </div>

        <div class="col-md-8 blogs">
            <!-- Post -->
            <?php foreach ($content as $page): ?>

            <!-- Load Bludit Plugins: Page Begin -->
            <?php Theme::plugins('pageBegin'); ?>

            <div class="main-content">

                <!-- Cover image -->
                <?php if ($page->coverImage()): ?>
                <a href="<?php echo $page->permalink(); ?>" class="">
                    <img class="card-img-top mb-3 rounded-0 " alt="Cover Image"
                        src="<?php echo $page->coverImage(); ?>" />
                </a>
                <?php endif ?>

                <div class="content pb-5">


                    <div class="text-center">
                        <a href="<?php echo $page->permalink(); ?>" class="">
                            <h2 class="title"><?php echo $page->title(); ?></h2>
                        </a>
                    </div>
                    <p class="subtitle text-center mb-3"><?php echo $page->date(); ?> - دسته

                        <?php echo $page->category(); ?></p>
                    <div class="">
                        <?php echo $page->contentBreak(); ?>
                    </div>
                    <?php if ($page->readMore()): ?>
                    <a class="btn btn-readmore"
                        href="<?php echo $page->permalink(); ?>"><?php echo $L->get('Read more'); ?></a>
                    <?php endif ?>


                </div>
            </div>
            <?php Theme::plugins('pageEnd'); ?>
            <?php endforeach ?>



            <!-- Pagination -->

            <div class="container text-center">
                <?php if (Paginator::numberOfPages()>1): ?>
                <nav class="paginator">
                    <ul class="pagination flex-wrap">

                        <!-- Previous button -->
                        <?php if (Paginator::showPrev()): ?>
                        <li class="pagination-link">
                            <a class="page-link" href="<?php echo Paginator::previousPageUrl() ?>" tabindex="-1">
                                <?php echo $L->get('< قبلی'); ?></a>
                        </li>
                        <?php endif; ?>

                        <!-- Home button -->
                        <li class="pagination-link " <?php if (Paginator::currentPage()==1) echo 'disabled' ?>">
                            <a class="page-link" href="<?php echo Theme::siteUrl() ?>">فهرست</a>
                        </li>

                        <!-- Next button -->
                        <?php if (Paginator::showNext()): ?>
                        <li class="pagination-link ">
                            <a class="page-link"
                                href="<?php echo Paginator::nextPageUrl() ?>"><?php echo $L->get('بعدی >'); ?></a>
                        </li>
                        <?php endif; ?>

                    </ul>
                </nav>

                <?php endif ?>
                <!-- End of pagination  -->


                <!-- Footer  -->
					
					<?php include footer.php ?>
                
                <!-- End of Footer  -->

            </div>
        </div>
    </div> <!-- END Content Container HOME -->


</div>